Vulnerability CVE-2017-1000413


Published: 2018-01-02

Description:
Linaro's open source TEE solution called OP-TEE, version 2.4.0 (and older) is vulnerable a timing attack in the Montgomery parts of libMPA in OP-TEE resulting in a compromised private RSA key.

Type:

CWE-200

(Information Exposure)

CVSS2 => (AV:N/AC:M/Au:N/C:P/I:N/A:N)

CVSS Base Score
Impact Subscore
Exploitability Subscore
4.3/10
2.9/10
8.6/10
Exploit range
Attack complexity
Authentication
Remote
Medium
No required
Confidentiality impact
Integrity impact
Availability impact
Partial
None
None
Affected software
Linaro -> Op-tee 

 References:
https://github.com/OP-TEE/optee_os/blob/2.5.0/CHANGELOG.md
https://github.com/OP-TEE/optee_os/pull/1610
https://www.op-tee.org/security-advisories/

Copyright 2021, cxsecurity.com

 

Back to Top